# A simple demo of reading a comma separated file to an array, 2D list of lists
# printing it and providing a search on one field

def read_books():
    books_file = open("books.csv", "r")
    books = []
    for book in books_file:
        book = book.rstrip()            # remove trailing newline
        book_parts = book.split(",")    # make a list of the comma separated line
                                        # and store list in different order
        books.append([book_parts[1], book_parts[2], book_parts[0]])
            # read order: price, name, author
            # store order: name, author price
    books_file.close()
    return books                        # note that the list is an object, that can be returned

def print_inventory(books):
    print(" Price Title Author")
    for i in books:
        print(f"{int(i[2]):6.2f} {i[0]} by {i[1]}")
        # Note formatting, the price as 6 characters wide, with 2 decimals

books = read_books()
print_inventory(books)

# Find books:
keep_searching = True   # a flag for the while loop
while keep_searching:
    keyword = input("Enter author to search, empty string to quit: ")
    if keyword == "":
        keep_searching = False
    else:
        for i in books:
            if i[1].find(keyword) != -1:        # string.find() returns -1 if keyword not found
                                                # second item on the list is author
                print(f"{int(i[2]):6.2f} {i[0]} by {i[1]}")

